On Thu, Aug 3, 2017 at 4:05 PM, Steve Baker <sba...@redhat.com> wrote:
> I would like to request a Feature Freeze Exemption (FFE) for the upper
> constraints of the python-paunch library/tool in Pike.
>
> https://review.openstack.org/#/c/490287/
>
> TripleO recently switched from using paunch as a library via heat-agents to
> using the paunch CLI tool directly using ansible. This lead to a high impact
> regression bug [1] where failed operations don't raise an error, fixed by
> [2]. This leads to false positives in TripleO CI, and later deployment
> failures which are more difficult to debug.
>
> Release 1.5.0 contains a fix for this. It also contains the new "paunch
> debug" command[3] which makes developing and debugging containers in TripleO
> much easier. This feature has a low risk of causing regressions in paunch's
> core function and is also desirable for the Pike release.

+1 from me.

> [1] https://bugs.launchpad.net/paunch/+bug/1707997
> [2] https://review.openstack.org/#/c/489722/
> [3] https://review.openstack.org/#/c/476654/
>
> __________________________________________________________________________
> OpenStack Development Mailing List (not for usage questions)
> Unsubscribe: openstack-dev-requ...@lists.openstack.org?subject:unsubscribe
> http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
>



-- 
Emilien Macchi

__________________________________________________________________________
OpenStack Development Mailing List (not for usage questions)
Unsubscribe: openstack-dev-requ...@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to